<?php

namespace App\Entities\Mangboard;

use App\Entities\CommonEntity;

class BoardsEntity extends CommonEntity
{
    public function __toString(): string
    {
        return "{$this->getPK()}|{$this->getTitle()}";
    }
    public function getTitle(): string
    {
        return $this->attributes['board_name'];
    }
    public function setTitle(string $board_name): void
    {
        $this->attributes['board_name'] = $board_name;
    }
    //Common Function

    public function getPK(): int
    {
        return $this->attributes['pid'];
    }
    public function getListLevel(): int
    {
        return $this->attributes['list_level'];
    }
}
